/**
 * $Id: slideshow_creator.js,v 1.3.2.7 2008/10/27 23:27:12 brmassa Exp $
 * @author: Bruno Massa http://drupal.org/user/67164
 * @file slideshow_creator.js
 * The main Javacript for this module
 */
/*global Drupal, $ */

/**
 * Initialize the module's JS functions
 */
Drupal.behaviors.ssc = function(context) {
  for (var ss = Drupal.settings.ssc.length; ss >= 0; --ss) {
    Drupal.settings.ssc[ss].before = Drupal.ssc_before;
    $("#ssc-content-" + ss).cycle(Drupal.settings.ssc[ss]);
  }
};

Drupal.ssc_before = function() {
  var sscid = this.id.replace(/ssc-slide-/, "").replace(/-.*/, "");
  var slide = parseInt(this.id.replace(/ssc-slide-.*-/, ""), 10) + 1;
  $("#ssc-current-" + sscid).html(slide);
};
